docs

List payment links

Lists payment links with filtering, pagination, and search. Features: - Filter by active status - Search by product name, description, or unit label - Filter by amount (equal, between, greater, less) - Filter by date (last period, equal, between, after, before) - Pagination support

GET
/payment-links

Lists payment links with filtering, pagination, and search.

Features:

  • Filter by active status
  • Search by product name, description, or unit label
  • Filter by amount (equal, between, greater, less)
  • Filter by date (last period, equal, between, after, before)
  • Pagination support
AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Query Parameters

page?|

Page number (1-based)

Range1 <= value <= 2147483647
Default1
limit?|

Number of items per page

Range1 <= value <= 100
Default20
active?|

Filter by active status (true/false)

search?|

Search product name, description, or unit label (comma-separated terms)

amount?|

Amount condition: eq:100, bt:10,100, gt:50 or lt:200

date?|

Date condition: last:7,days, eq:2024-01-01 or bt:2024-01-01,2024-12-31

timezone?string|null

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/payment-links"
{  "data": [    {      "id": "plink_abc123",      "merchantId": "mer_xyz789",      "active": true,      "expiresAt": "string",      "currency": "EGP",      "computedAmount": 100000,      "submitType": "PAY",      "afterCompletion": {},      "lineItems": [        null      ],      "createdAt": "string",      "updatedAt": "string",      "successfulTransactions": 0    }  ],  "totalCount": 0}